#include "preview_acceptor.h"

#include <QImage>
#include <QQmlEngine>

#include "preview_image_provider.h"

PreviewAcceptor* PreviewAcceptor::create(QQmlEngine* engine,
                                         QJSEngine* jsEngine) {
  Q_UNUSED(jsEngine)

  return new PreviewAcceptor(engine, engine);
}

PreviewAcceptor::PreviewAcceptor(QQmlEngine* engine, QObject* parent)
    : QObject(parent), m_previewProvider(new PreviewImageProvider()) {
  engine->addImageProvider(QStringLiteral("preview"), m_previewProvider);
}

void PreviewAcceptor::setImage(const QImage &preview) {
  m_previewProvider->setImage(preview);
}
